Bug 64548 - Basically it claims to be a kernel bug in: kernel BUG at page_alloc.c:117
Basically it claims to be a kernel bug in: kernel BUG at page_alloc.c:117
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-07 16:38 EDT by Need Real Name
Modified: 2007-04-18 12:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-07 16:38:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-05-07 16:38:29 EDT
From Bugzilla Helper: 
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.0.0-10; Linux) 
 
Description of problem: 
I just installed a full install of Redhat 7.3 on my system.  I'll put some 
background system info: 
 
Althon board, i686, XP1800+  I have set the kernel param in /etc/lilo.conf to 
mem-nopentium 
 
The system just suddenly froze forcing a reboot.  All activity stopped, 
however it was still replying to packets on the network. 
 
Here are the logs: 
 
I checked back and several of the below entries are made before the crash: 
 
May  7 20:56:19 smackenz kernel: Linux agpgart interface v0.99 (c) Jeff 
Hartmann 
May  7 20:56:19 smackenz kernel: agpgart: Maximum main memory to use for agp 
memory: 203M 
May  7 20:56:19 smackenz insmod: 
/lib/modules/2.4.18-3/kernel/drivers/char/agp/agpgart.o: init_module: No such 
device 
May  7 20:56:19 smackenz insmod: Hint: insmod errors can be caused by 
incorrect module parameters, including invalid IO or IRQ parameters 
May  7 20:56:19 smackenz insmod: 
/lib/modules/2.4.18-3/kernel/drivers/char/agp/agpgart.o: insmod agpgart failed 
May  7 20:56:19 smackenz kernel: NVRM: AGPGART: unable to retrieve symbol 
table 
 
 
After about 5 of these this is in /var/log/messages I got this: 
 
May  7 21:02:16 smackenz kernel: ------------[ cut here ]------------ 
May  7 21:02:16 smackenz kernel: kernel BUG at page_alloc.c:117! 
May  7 21:02:16 smackenz kernel: invalid operand: 0000 
May  7 21:02:16 smackenz kernel: smbfs nls_iso8859-1 sr_mod emu10k1 ac97_codec 
sound soundcore NVdriver autofs 
May  7 21:02:16 smackenz kernel: CPU:    0 
May  7 21:02:16 smackenz kernel: EIP:    0010:[<c0132dc7>]    Tainted: P 
May  7 21:02:16 smackenz kernel: EFLAGS: 00010282 
May  7 21:02:16 smackenz kernel:  
May  7 21:02:16 smackenz kernel: EIP is at __free_pages_ok [kernel] 0x57 
(2.4.18-3) 
May  7 21:02:16 smackenz kernel: eax: 00000020   ebx: c12e60d8   ecx: 00000001   
edx: 00002bc2 
May  7 21:02:16 smackenz kernel: esi: 00000000   edi: c02ccf5c   ebp: 00000000   
esp: c13adf58 
May  7 21:02:16 smackenz kernel: ds: 0018   es: 0018   ss: 0018 
May  7 21:02:16 smackenz kernel: Process kswapd (pid: 5, stackpage=c13ad000) 
May  7 21:02:16 smackenz kernel: Stack: c0229d95 00000075 cd66f2c0 c12e60d8 
c013e783 cff1b200 c129de80 00000030 
May  7 21:02:16 smackenz kernel:        c013c8da c12e60d8 c12e60f4 c02ccf5c 
cd66f2c0 c0130844 c12e60d8 00000030 
May  7 21:02:16 smackenz kernel:        c12e60d8 c12e60f4 c02ccf5c 00000092 
c0131e06 fffffcd5 c13ac000 c02ccf84 
May  7 21:02:16 smackenz kernel: Call Trace: [<c013e783>] try_to_free_buffers 
[kernel] 0xb3 
May  7 21:02:16 smackenz kernel: [<c013c8da>] try_to_release_page [kernel] 
0x3a 
May  7 21:02:16 smackenz kernel: [<c0130844>] drop_page [kernel] 0x34 
May  7 21:02:16 smackenz kernel: [<c0131e06>] refill_inactive_zone [kernel] 
0x206 
May  7 21:02:16 smackenz kernel: [<c0132770>] kswapd [kernel] 0x280 
May  7 21:02:16 smackenzkernel: [<c0105000>] stext [kernel] 0x0 
May  7 21:02:16 smackenz kernel: [<c0107136>] kernel_thread [kernel] 0x26 
May  7 21:02:16 smackenz kernel: [<c01324f0>] kswapd [kernel] 0x0 
May  7 21:02:16 smackenz kernel:  
May  7 21:02:16 smackenz kernel:  
May  7 21:02:16 smackenz kernel: Code: 0f 0b 5d 58 8b 3d d0 17 34 c0 89 d8 29 
f8 69 c0 b7 6d db b6 
May  7 21:06:04 smackenz syslogd 1.4.1: restart. [after reboot!] 
 
I should note, I have the latest NVIDIA drivers installed.  
 
I've not changed anything to do with the kernel except for installing the 
NVIDIA drivers. 
 
Anyway thats about it. 
 
 
Version-Release number of selected component (if applicable): 
 
 
How reproducible: 
Sometimes 
 
Steps to Reproduce: 
1. Maybe by installing the NVIDIA driver it causes this to happen 
2. Maybe not..? 
 
 
All I can suggest is install the NVIDIA driver, set up gnome and do a few 
graphical things - like play chronium etc for a while and see if it crashes.  
Oh, when it actually did crash I was basically just sitting on the desktop 
with gaim and Xchat running. 
 
 
Actual Results:  Only crashed once so far - but I've just rebooted so it may 
do so again soon 
 
Additional info: 
 
Thanks.
Comment 1 Michael K. Johnson 2002-05-16 16:54:29 EDT
Unless you can reproduce this without the nvidia drivers loaded, we
have to consider this their bug.  We have had many bug reports that
go away when you quit using the nvidia module...

Note You need to log in before you can comment on or make changes to this bug.